
/****************************************************************************
 Title  :   C  file for the serial EEPROM library (24Cxx.c)
 Device:    24Cxx
 Author:    S. Hochhard
 Date:      09/Dez/2002
 Software:  AVR-GCC with AVR-AS
 Target:    any AVR device
 Comments:  This software is FREE.

*****************************************************************************/

#include <io.h>
#include "i2c.h"
#include "24Cxx.h"


char eeprom_write(unsigned char byte_addr, unsigned char data)
{   
          
    I2C_START_TX(addressFORwrite);

    i2c_transmit(byte_addr);
    i2c_transmit(data);
 
    i2c_transmit(0);
    i2c_stop();
 
}

char eeprom_read(unsigned char byte_addr)
{   
    signed int   data=0;
    
    I2C_START_TX(addressFORwrite);
    i2c_transmit(byte_addr); 
            
    I2C_START_RX(addressFORread);
    data = i2c_receive(I2C_QUIT);
    
    i2c_stop();
    
       
return(data);
}


