
/****************************************************************************
 Title  :   C  include file for the LM75 FUNCTIONS library (srf08.h)
 Author:    Chris efstathiou hendrix@otenet.gr
 Date:      13/Jul/2002
 Software:  AVR-GCC with AVR-AS
 Target:    any AVR device
 Comments:  This software is FREE.

*****************************************************************************/

#ifndef LM75_H
#define LM75_H     1

/*##############################################################################################*/
/*                             START OF CONFIGURATION BLOCK                                     */
/*##############################################################################################*/

/*                          THERE IS NOTHING TO CONFIGURE YET...                                */

/*##############################################################################################*/
/*                              END OF CONFIGURATION BLOCK                                      */
/*##############################################################################################*/

#define LM75_UNIT_0       0x90  /* FIRST LM75 MODULE I2C address      */
#define LM75_UNIT_1       0x92  /* SECOND LM75 MODULE I2C address     */
#define LM75_UNIT_2       0x94  /* THIRD LM75 MODULE I2C address      */
#define LM75_UNIT_3       0x96  /* FOURTH LM75 MODULE I2C address     */
#define LM75_UNIT_4       0x98  /* FIFTH LM75 MODULE I2C address      */
#define LM75_UNIT_5       0x9A  /* SIXTH LM75 MODULE I2C address      */
#define LM75_UNIT_6       0x9C  /* SEVENTH LM75 MODULE I2C address    */
#define LM75_UNIT_7       0x9E  /* EIGHTH LM75 MODULE I2C address     */

#define LM75_TEMP_REG     0
#define LM75_CONFIG_REG   1
#define LM75_HYST_REG     2
#define LM75_TOS_REG      3

/* Configuration register Bit positions */ 
#define LM75_SHUTDOWN     0
#define LM75_INT_MODE     1
#define LM75_OS_HIGH      2
#define LM75_FQUE0        3
#define LM75_FQUE1        4

/* Delay time after reading temperature */

#define LM75_DELAY        120  /* in Milliseconds */



extern void         lm75_select_unit(unsigned char lm75_address);
extern void         lm75_configure(unsigned char config_byte);
extern signed int   lm75_get_reg(unsigned char reg_number);
extern signed int  lm75_get_temp(void);
extern void         lm75_set_hyst(signed char hyst_temp);
extern void         lm75_set_tos(signed char tos_temp);


#endif  /* #ifndef LM75_H */
/*######################################################################################################*/
/*                                         T H E   E N D                                                */
/*######################################################################################################*/

