
/****************************************************************************
 Title  :   C file for the PCF8563 (RTC)library 
 Author:    S. Hochhard
 Date:      11/Dez/2002
 Software:  AVR-GCC with AVR-AS
 
 Target:    AVR device  (makefile - setting for mega163)
 Comments:  Nothing yet.......

*****************************************************************************/

#include <io.h>
#include "i2c.h"
#include "pcf8563.h"



/* Global Variables */

unsigned char pcf8563_init(void)
{
  unsigned char err;
  i2c_init();
  i2c_start();
  err = i2c_transmit(DEVICE_ADDRESS);
  if (err == I2C_NO_ERROR)
  i2c_stop();
  return (err);
}

unsigned char pcf8563_read(unsigned char reg_number)
{
	unsigned char sec=0;
	
	I2C_START_TX(DEVICE_ADDRESS );
        
        i2c_transmit(reg_number); 
            
        I2C_START_RX(DEVICE_ADDRESS +1);
        sec = i2c_receive(I2C_QUIT);
    
        i2c_stop();
        
return(sec);
}

unsigned char pcf8563_write(unsigned char reg_number, unsigned char value)
{
		
	I2C_START_TX(DEVICE_ADDRESS);
        
        i2c_transmit(reg_number); 
        i2c_transmit(value);   
        
       // i2c_transmit(0); 
           
        i2c_stop();

}




unsigned int get_weekday( unsigned char *day)
{
 unsigned char dummy = 0;
 
 	dummy = pcf8563_read(WEEKDAYS);
 	
 	switch (dummy)
 	{
 		case 0:
 			day =  "Sonntag";
 			break;
 		case 1:
 			day =  "Montag";
 			break;
 		case 2:
 			day =  "Dienstag";
 			break;
 		case 3:
 			day =  "Mittwoch";
 			break;
 		case 4:
 			day =  "Donnerstag";
 			break;
 		case 5:
 			day =  "Freitag";
 			break;
 		
 		case 6: day =  "Samstag";
 			break;
 	}
 	return (day);
 }
 




/*######################################################################################################*/
/*                                         T H E   E N D                                                */
/*######################################################################################################*/

