
/****************************************************************************
 Title  :   Header file for the PCF8563 (RTC)library 
 Author:    S. Hochhard
 Date:      11/Dez/2002
 Software:  AVR-GCC with AVR-AS
  
 Target:    AVR device  (makefile - setting for mega163)
 Comments:  Nothing yet.......

*****************************************************************************/

#ifndef PCF8563_H
#define PCF8563_H     1

/*##############################################################################################*/
/*                             START OF CONFIGURATION BLOCK                                     */
/*##############################################################################################*/


#define LOW_VOLTAGE_DETECTION   0 //low-volage of Vdd, bit 7 is cleard if detected (reliable clock/calender information



/*##############################################################################################*/
/*                              END OF CONFIGURATION BLOCK                                      */
/*##############################################################################################*/


#define DEVICE_ADDRESS 		0xA2



#define CONTROL_STATUS_REG1	0
#define CONTROL_STATUS_REG2	1
#define SECONDS_VL	    	2
#define MINUTES			3
#define HOURS			4
#define DAYS			5
#define WEEKDAYS		6
#define MONTHS_CENTURY		7
#define YEARS			8
#define MINUTE_ALARM		9
#define HOUR_ALARM		A
#define DAY_ALARM		B
#define WEEKDAY_ALARM		C
#define CLKOUT_CONTROL		0x0D
#define TIMER_CONTROL		0x0E
#define TIMER			0x0F


extern unsigned char pcf8563_init(void);
extern unsigned char pcf8563_read(unsigned char reg_number);
extern unsigned char pcf8563_write(unsigned char reg_number, unsigned char value);


//extern unsigned int  get_weekday();//( unsigned int *y);



#endif  /* #ifndef PCF8563_H */
/*######################################################################################################*/
/*                                         T H E   E N D                                                */
/*######################################################################################################*/

